package com.hcloud.microserver.bank.bo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.io.Serializable;

/**
 * 2.5.	账务查询：活期账户明细查询CL0004
 */

@Data
public class CurrentAccountDetailQueryParam implements Serializable {
    /**账户号	19A	必输*/
    @JSONField(name = "I1ACNO")
    private String  I1ACNO;
    /**币种	3A	暂不使用*/
    @JSONField(name = "I1CYTP")
    private String  I1CYTP;
    /**起始日期	8P0	必输*/
    @JSONField(name = "I1STDT")
    private String  I1STDT;
    /**终止日期	8P0	必输*/
    @JSONField(name = "I1EDDT")
    private String  I1EDDT;
    /**起始金额	15P2	非必输*/
    @JSONField(name = "I1BGAT")
    private String  I1BGAT;
    /**终止金额	15P2	非必输*/
    @JSONField(name = "I1EDAT")
    private String  I1EDAT;
    /**借贷标志	1A	空：全部;0：支出;1：收入*/
    @JSONField(name = "I1JDBZ")
    private String  I1JDBZ;
    /**查询标志	1A	0-顺查1-倒查*/
    @JSONField(name = "I1QYFG")
    private String  I1QYFG;
    /**起始条数	5P0	可选*/
    @JSONField(name = "Num")
    private String  Num;
    /**查询条数	4P0	可选(最大2000)*/
    @JSONField(name = "QryNum")
    private String  QryNum;
}
