package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
public class CurrentAccountQueryDetailTotalResp extends BankResponseBase implements Serializable {
    /**总笔数	5P0*/
    private String O1TLNM;
    /**汇出总笔数	4P0*/
    private String O1OTNM;
    /**汇出总金额	15P2*/
    private BigDecimal O1OTAT;
    /**汇入总笔数	4P0*/
    private String O1INNM;
    /**汇入总金额	15P2*/
    private BigDecimal O1INAT;
    /**查询明细*/
    private List<CurrentAccountQueryDetailRespRecord> list;





}
