package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 2.15.	账务支付：代发/代扣指令详情信息查询CL0034
 */
@Data
public class InquiryOfWithholdingInstructionDetailsRespDetail {
    /**提交日期;null;14P0;*/
    private BigDecimal TxnDt;
    /**交易类型;01-代发、02-代扣;2A;*/
    private String BsnType;
    /**账号1;null;32A;*/
    private String AcctNo;
    /**账号1名称;null;100*O;*/
    private String AcctName;
    /**账号2;null;32A;*/
    private String AnAcctNo;
    /**账号2名称;null;100*O;*/
    private String AnAcctName;
    /**币种;01-人民币;2A;*/
    private String Ccy;
    /**交易总金额;null;15P2;*/
    private BigDecimal BatAmt;
    /**批次号;null;15A;*/
    private String BatFlow;
    /**批次状态;批次成功时，交易结果以明细状态为准; 批次失败时，所有明细均失败;2A;*/
    private String BatState;
    /**批次状态描述;null;20*O;*/
    private String BatDesc;
    /**批次错误代码;null;20A;*/
    private String BatCode;
    /**批次错误信息;null;100*O;*/
    private String BatMsg;
    /**企业流水号;null;20A;*/
    private String CstFlow;
    /**商户号;null;30A;*/
    private String CstNo;
    /**业务类型;当交易类型为01时，101：代发
     102：代报销
     103：预借
     104：行内代付
     当交易类型为02时，
     0：批量扣个人
     1：批量扣企业
     仅交易类型为02时，该项为空;3A;*/
    private String BusType;
    /**月份;仅交易类型为02时，该项为空;6P0;*/
    private BigDecimal Month;
    /**明细序号;null;20A;*/
    private BigDecimal DetFlow;
    /**明细交易状态;0-交易成功
     1-交易失败
     2-入账中;1A;*/
    private String DetState;
    /**明细金额;null;15P2;*/
    private BigDecimal DetAmt;
    /**明细错误代码;null;20A;*/
    private String DetCode;
    /**明细错误信息;null;100*O;*/
    private String DetMsg;
    /**备注;null;42*O;*/
    private String DetRem;
}
