package com.hcloud.microserver.bank.bo;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;

/***
 * 2.6.	转账：行内转账CL0005（需签名）
 */
@Data
public class IntrabankTransferParam {
    /**企业流水号;必输域，企业自己生成的流水号，在企业内部唯一;20A;*/
    @JSONField(name = "I1QYLS")
    private String I1QYLS;
    /**提交人ID;null;30A;*/
    @JSONField(name = "I1SMID")
    private String I1SMID;
    /**最后授权人ID;null;30A;*/
    @JSONField(name = "I1ATID")
    private String I1ATID;
    /**付款账号;必输域;32A;*/
    @JSONField(name = "I1FKAC")
    private String I1FKAC;
    /**付款方户名;null;60*O;*/
    @JSONField(name = "I1FKNM")
    private String I1FKNM;
    /**收款方户名;必输域;60*O;*/
    @JSONField(name = "I1CUNM")
    private String I1CUNM;
    /**收款账号;必输域;32A;*/
    @JSONField(name = "I1SKAC")
    private String I1SKAC;
    /**金额;必输域;15P2;*/
    @JSONField(name = "I1TRAM")
    private BigDecimal I1TRAM;
    /**币种;必输域(固定值01);2A;*/
    @JSONField(name = "I1TRCY")
    private BigDecimal I1TRCY;
    /**用途;必输域;30*O;*/
    @JSONField(name = "I1PUPS")
    private BigDecimal I1PUPS;
    /**备注;null;150*O;*/
    @JSONField(name = "I1REM")
    private String I1REM;
    /**交易类型;0：集团账号转账1：普通转账;1A;*/
    @JSONField(name = "IJYLX")
    private String IJYLX;
    /**企业指令内部编号;null;30A;*/
    @JSONField(name = "I1NBBH")
    private String I1NBBH;
    /**校验标志;0：无（默认）1：招标账户校验;1A;*/
    @JSONField(name = "I1JYBZ")
    private String I1JYBZ;
    /**原明细序号;null;8A;*/
    @JSONField(name = "I1MXXH")
    private String I1MXXH;
    /**账号1;null;32A;*/
    @JSONField(name = "I1AC1")
    private String I1AC1;
    /**账户户名1;null;100*O;*/
    @JSONField(name = "I1NM1")
    private String I1NM1;
    /**业务种类;1-代理支付;1A;*/
    @JSONField(name = "I1YWZL")
    private String I1YWZL;
    /**记录信息;null;200*O;*/
    @JSONField(name = "I1JLXX")
    private String I1JLXX;
}
