package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 2.13.	账务支付：代发/代报销指令列表查询CL0031
 */
@Data
public class ReimbursementInstructionRespDetail {

    /**提交日期;null;14P0;*/
    private BigDecimal O2TRDT;
    /**代发账号;null;19A;*/
    private String O2FKAC;
    /**总笔数;null;4P0;*/
    private BigDecimal O2TRCT;
    /**总金额;null;15P2;*/
    private BigDecimal O2TRAM;
    /**流水号;null;15A;*/
    private String O2TLSQ;
    /**交易状态;见数据字典说明;2A;*/
    private String O2JYZT;
    /**指令状态;状态中文描述;20*O;*/
    private String O2STT;
    /**业务类型;101：代发102：代报销;3A;*/
    private String O2YWLX;
    /**企业流水号;null;20A;*/
    private String O2QYLS;
    /**月份;null;6P0;*/
    private BigDecimal O2DFYF;
    /**错误代码;null;20A;*/
    private String code;
    /**错误信息;null;100*O;*/
    private String msg;
    /**成功总笔数;null;4P0;*/
    private BigDecimal O1SUCT;
    /**成功总金额;null;15P2;*/
    private BigDecimal O1SUAM;

}
