package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 2.11.	指令查询：查询支付单笔指令详细（转账单笔指令详细）CL0008
 * 请求类型用TransactionOrderStatusQueryParam不加业务类型
 */
@Data
public class SingleTransferInstructionQueryResp {
    /**提交日期;null;14;*/
    private String O1TRDT;
    /**交易类型;0：行内转账1：行外转账;1A;*/
    private String O2JYLX;
    /**付款账号;null;19A;*/
    private String O1FKAC;
    /**付款户名;null;300O;*/
    private String O1FKNM;
    /**付款行行号;null;12A;*/
    private String O1FKHH;
    /**收款账号;null;19A;*/
    private String O1SKAC;
    /**收款户名;null;300O;*/
    private String O1SKNM;
    /**收款方开户行联行号;他行使用;12A;*/
    private String O1CTNO;
    /**交易金额;null;15P2;*/
    private BigDecimal O1TRAM;
    /**加急标志;null;2*O;*/
    private BigDecimal O1EGFG;
    /**交易币种;null;3A;*/
    private String O1CYTP;
    /**币种中文描述;null;10*O;*/
    private String O1BZZW;
    /**付款用途;null;100*O;*/
    private String O1FKYT;
    /**备注;null;300O;*/
    private String O1REM;
    /**银行落地备注;null;300O;*/
    private String O1BKRM;
    /**手续费;null;15P2;*/
    private BigDecimal O1PCDF;
    /**邮电费;null;15P2;*/
    private BigDecimal O1PSTF;
    /**渠道流水号;null;15A;*/
    private BigDecimal O1TLSQ;
    /**指令状态;见数据字典说明;10*O;*/
    private BigDecimal O1STT;
    /**主机返回码;null;20A;*/
    private BigDecimal O1HTCD;
    /**主机返回错误信息;null;300O;*/
    private String O1HTMG;
}
