package com.hcloud.microserver.bank.service;

import com.hcloud.microserver.bank.bo.*;

public interface BankTransactionService {

    /**
     * 2.4.	账务查询：活期账户查询CL0003
     * @param param
     * @return
     */
    public CurrentAccountQueryResp currentAccountQuery(CurrentAccountQueryParam param);

    /**
     *
     * 2.5.	账务查询：活期账户明细查询CL0004
     * @param param
     * @return
     */
    public CurrentAccountQueryDetailTotalResp currentAccountDetailQuery(CurrentAccountDetailQueryParam param);

    /**
     * 2.6.	转账：行内转账CL0005（需签名）
     * @param param
     * @return
     */
    public  IntrabankTransferResp intrabankTransfer(IntrabankTransferParam param);
    /**
     * 2.14.	账务支付：代发/代报销指令详细查询CL0032
     * @param param
     * @return
     */
    public ReimbursementInstructionsDetailQueryResp reimbursementInstructionsDetailQuery(ReimbursementInstructionsDetailQueryParam param);

    /**
     * 2.15.	账务支付：代发/代扣指令详情信息查询CL0034
     * @param param
     * @return
     */
    public InquiryOfWithholdingInstructionDetailsResp inquiryOfWithholdingInstructionDetails(InquiryOfWithholdingInstructionDetailsParam param);

}
