package com.hcloud.microserver.facade.carbon.client;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.facade.carbon.fallback.impl.PayVoucherFallback;
import com.hcloud.microserver.facade.carbon.forms.OrderPayVoucherForm;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "carbon-service", path = "/voucher", fallbackFactory = PayVoucherFallback.class)
public interface PayVoucherClient {

    @PostMapping("/searchByPage")
    ResultVO searchByPage(@RequestBody OrderPayVoucherForm orderPayVoucherForm);
}
