package com.hcloud.microserver.facade.carbon.entity;

import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@ToString
public class CollectiveFarmer implements Serializable {

    private static final long serialVersionUID = -5328351127753129451L;
    private String guid;

    private String fkPovertyAreaId;

    private String collectiveCode;

    private String collectiveName;

    private Integer collectivePersonNum;

    private String orgUnit;

    private String remark;

    private String collectiveImages;

    private String bankName;

    private String bankCardNo;

    private Integer isEnable;

    private Integer state;

    private String createUser;

    private Date createTime;

    private String modifiedUser;

    private Date modifiedTime;

    private BigDecimal recieveMoney;

    private BigDecimal actualMoney;

    private String phone;

    private List<FarmerInfo> farmerInfos;

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid == null ? null : guid.trim();
    }

    public String getFkPovertyAreaId() {
        return fkPovertyAreaId;
    }

    public void setFkPovertyAreaId(String fkPovertyAreaId) {
        this.fkPovertyAreaId = fkPovertyAreaId == null ? null : fkPovertyAreaId.trim();
    }

    public String getCollectiveCode() {
        return collectiveCode;
    }

    public void setCollectiveCode(String collectiveCode) {
        this.collectiveCode = collectiveCode == null ? null : collectiveCode.trim();
    }

    public String getCollectiveName() {
        return collectiveName;
    }

    public void setCollectiveName(String collectiveName) {
        this.collectiveName = collectiveName == null ? null : collectiveName.trim();
    }

    public Integer getCollectivePersonNum() {
        return collectivePersonNum;
    }

    public void setCollectivePersonNum(Integer collectivePersonNum) {
        this.collectivePersonNum = collectivePersonNum;
    }

    public String getOrgUnit() {
        return orgUnit;
    }

    public void setOrgUnit(String orgUnit) {
        this.orgUnit = orgUnit == null ? null : orgUnit.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getCollectiveImages() {
        return collectiveImages;
    }

    public void setCollectiveImages(String collectiveImages) {
        this.collectiveImages = collectiveImages == null ? null : collectiveImages.trim();
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName == null ? null : bankName.trim();
    }

    public String getBankCardNo() {
        return bankCardNo;
    }

    public void setBankCardNo(String bankCardNo) {
        this.bankCardNo = bankCardNo == null ? null : bankCardNo.trim();
    }

    public Integer getIsEnable() {
        return isEnable;
    }

    public void setIsEnable(Integer isEnable) {
        this.isEnable = isEnable;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser == null ? null : createUser.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifiedUser() {
        return modifiedUser;
    }

    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }

    public Date getModifiedTime() {
        return modifiedTime;
    }

    public void setModifiedTime(Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    public BigDecimal getRecieveMoney() {
        return recieveMoney;
    }

    public void setRecieveMoney(BigDecimal recieveMoney) {
        this.recieveMoney = recieveMoney;
    }

    public BigDecimal getActualMoney() {
        return actualMoney;
    }

    public void setActualMoney(BigDecimal actualMoney) {
        this.actualMoney = actualMoney;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public List<FarmerInfo> getFarmerInfos() {
        return farmerInfos;
    }

    public void setFarmerInfos(List<FarmerInfo> farmerInfos) {
        this.farmerInfos = farmerInfos;
    }
}