package com.hcloud.microserver.facade.carbon.entity;

import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@ToString
public class GoodsSaleInfo implements Serializable {

    private static final long serialVersionUID = 7343587609332991440L;

    private String guid;

    private String fkGoodsGuid;

    private BigDecimal salePrice;

    private BigDecimal companyPrice;

    private BigDecimal memberPrice;

    private BigDecimal saledCarbonSkin;

    private BigDecimal unsaledCarbonSkin;

    private Integer isEnable;

    private Integer state;

    private Date modifiedTime;

    private Integer saleType;

    private String saleTargets;

    private String saleUnit;

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid == null ? null : guid.trim();
    }

    public String getFkGoodsGuid() {
        return fkGoodsGuid;
    }

    public void setFkGoodsGuid(String fkGoodsGuid) {
        this.fkGoodsGuid = fkGoodsGuid == null ? null : fkGoodsGuid.trim();
    }

    public BigDecimal getSalePrice() {
        return salePrice;
    }

    public void setSalePrice(BigDecimal salePrice) {
        this.salePrice = salePrice;
    }

    public BigDecimal getCompanyPrice() {
        return companyPrice;
    }

    public void setCompanyPrice(BigDecimal companyPrice) {
        this.companyPrice = companyPrice;
    }

    public BigDecimal getMemberPrice() {
        return memberPrice;
    }

    public void setMemberPrice(BigDecimal memberPrice) {
        this.memberPrice = memberPrice;
    }

    public BigDecimal getSaledCarbonSkin() {
        return saledCarbonSkin;
    }

    public void setSaledCarbonSkin(BigDecimal saledCarbonSkin) {
        this.saledCarbonSkin = saledCarbonSkin;
    }

    public BigDecimal getUnsaledCarbonSkin() {
        return unsaledCarbonSkin;
    }

    public void setUnsaledCarbonSkin(BigDecimal unsaledCarbonSkin) {
        this.unsaledCarbonSkin = unsaledCarbonSkin;
    }

    public Integer getIsEnable() {
        return isEnable;
    }

    public void setIsEnable(Integer isEnable) {
        this.isEnable = isEnable;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Date getModifiedTime() {
        return modifiedTime;
    }

    public void setModifiedTime(Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    public Integer getSaleType() {
        return saleType;
    }

    public void setSaleType(Integer saleType) {
        this.saleType = saleType;
    }

    public String getSaleTargets() {
        return saleTargets;
    }

    public void setSaleTargets(String saleTargets) {
        this.saleTargets = saleTargets;
    }

    public String getSaleUnit() {
        return saleUnit;
    }

    public void setSaleUnit(String saleUnit) {
        this.saleUnit = saleUnit;
    }
}