package com.hcloud.microserver.facade.carbon.entity;

import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@ToString
public class FarmerInfo implements Serializable {

    private static final long serialVersionUID = 764011447211904341L;
    private String guid;

    private String fkPovertyAreaId;

    private String fkCollectiveId;

    private String farmerCode;

    private String farmerName;

    private Integer familyNum;

    private Integer sex;

    private String pid;

    private String nation;

    private String education;

    private String phone;

    private String bankCardNo;

    private BigDecimal incomeVal;

    private String farmerType;

    private String farmerRemark;

    private String farmerImages;

    private String villageOrg;

    private Integer isEnable;

    private Integer state;

    private String createUser;

    private Date createTime;

    private String modifiedUser;

    private Date modifiedTime;

    private String bankClearingMsg;

    private BigDecimal recieveMoney;

    private BigDecimal actualMoney;

    private PovertyArea povertyArea;

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid == null ? null : guid.trim();
    }

    public String getFkPovertyAreaId() {
        return fkPovertyAreaId;
    }

    public void setFkPovertyAreaId(String fkPovertyAreaId) {
        this.fkPovertyAreaId = fkPovertyAreaId == null ? null : fkPovertyAreaId.trim();
    }

    public String getFkCollectiveId() {
        return fkCollectiveId;
    }

    public void setFkCollectiveId(String fkCollectiveId) {
        this.fkCollectiveId = fkCollectiveId == null ? null : fkCollectiveId.trim();
    }

    public String getFarmerCode() {
        return farmerCode;
    }

    public void setFarmerCode(String farmerCode) {
        this.farmerCode = farmerCode == null ? null : farmerCode.trim();
    }

    public String getFarmerName() {
        return farmerName;
    }

    public void setFarmerName(String farmerName) {
        this.farmerName = farmerName == null ? null : farmerName.trim();
    }

    public Integer getFamilyNum() {
        return familyNum;
    }

    public void setFamilyNum(Integer familyNum) {
        this.familyNum = familyNum;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid == null ? null : pid.trim();
    }

    public String getNation() {
        return nation;
    }

    public void setNation(String nation) {
        this.nation = nation == null ? null : nation.trim();
    }

    public String getEducation() {
        return education;
    }

    public void setEducation(String education) {
        this.education = education == null ? null : education.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public String getBankCardNo() {
        return bankCardNo;
    }

    public void setBankCardNo(String bankCardNo) {
        this.bankCardNo = bankCardNo == null ? null : bankCardNo.trim();
    }

    public BigDecimal getIncomeVal() {
        return incomeVal;
    }

    public void setIncomeVal(BigDecimal incomeVal) {
        this.incomeVal = incomeVal;
    }

    public String getFarmerType() {
        return farmerType;
    }

    public void setFarmerType(String farmerType) {
        this.farmerType = farmerType == null ? null : farmerType.trim();
    }

    public String getFarmerRemark() {
        return farmerRemark;
    }

    public void setFarmerRemark(String farmerRemark) {
        this.farmerRemark = farmerRemark == null ? null : farmerRemark.trim();
    }

    public String getFarmerImages() {
        return farmerImages;
    }

    public void setFarmerImages(String farmerImages) {
        this.farmerImages = farmerImages == null ? null : farmerImages.trim();
    }

    public String getVillageOrg() {
        return villageOrg;
    }

    public void setVillageOrg(String villageOrg) {
        this.villageOrg = villageOrg == null ? null : villageOrg.trim();
    }

    public Integer getIsEnable() {
        return isEnable;
    }

    public void setIsEnable(Integer isEnable) {
        this.isEnable = isEnable;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser == null ? null : createUser.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifiedUser() {
        return modifiedUser;
    }

    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }

    public Date getModifiedTime() {
        return modifiedTime;
    }

    public void setModifiedTime(Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    public String getBankClearingMsg() {
        return bankClearingMsg;
    }

    public void setBankClearingMsg(String bankClearingMsg) {
        this.bankClearingMsg = bankClearingMsg == null ? null : bankClearingMsg.trim();
    }

    public BigDecimal getRecieveMoney() {
        return recieveMoney;
    }

    public void setRecieveMoney(BigDecimal recieveMoney) {
        this.recieveMoney = recieveMoney;
    }

    public BigDecimal getActualMoney() {
        return actualMoney;
    }

    public void setActualMoney(BigDecimal actualMoney) {
        this.actualMoney = actualMoney;
    }

    public PovertyArea getPovertyArea() {
        return povertyArea;
    }

    public void setPovertyArea(PovertyArea povertyArea) {
        this.povertyArea = povertyArea;
    }
}