package com.hcloud.microserver.facade.carbon.entity;

import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@ToString
public class ProductInfo implements Serializable {

    private static final long serialVersionUID = -4385146356458594027L;
    private String guid;

    private String fkProductType;

    private String fkCarbonRule;

    private String fkPovertyArea;

    private String productName;

    private String productCode;

    private Date carbonGenerateDate;

    private Integer productValidateNum;

    private Date carbonRefreshTime;

    private BigDecimal carbonSink;

    private String productImgs;

    private Integer isEnable;

    private String remark;

    private Integer state;

    private String createUser;

    private Date createTime;

    private String modifiedUser;

    private Date modifiedTime;

    private List<ProductExpansion> productExpansions;

    private List<ProductBelong> productBelongs;

    private ProductType productType;

    private PovertyArea povertyArea;

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    public String getFkProductType() {
        return fkProductType;
    }

    public void setFkProductType(String fkProductType) {
        this.fkProductType = fkProductType;
    }

    public String getFkCarbonRule() {
        return fkCarbonRule;
    }

    public void setFkCarbonRule(String fkCarbonRule) {
        this.fkCarbonRule = fkCarbonRule;
    }

    public String getFkPovertyArea() {
        return fkPovertyArea;
    }

    public void setFkPovertyArea(String fkPovertyArea) {
        this.fkPovertyArea = fkPovertyArea;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public Date getCarbonGenerateDate() {
        return carbonGenerateDate;
    }

    public void setCarbonGenerateDate(Date carbonGenerateDate) {
        this.carbonGenerateDate = carbonGenerateDate;
    }

    public Integer getProductValidateNum() {
        return productValidateNum;
    }

    public void setProductValidateNum(Integer productValidateNum) {
        this.productValidateNum = productValidateNum;
    }

    public Date getCarbonRefreshTime() {
        return carbonRefreshTime;
    }

    public void setCarbonRefreshTime(Date carbonRefreshTime) {
        this.carbonRefreshTime = carbonRefreshTime;
    }

    public BigDecimal getCarbonSink() {
        return carbonSink;
    }

    public void setCarbonSink(BigDecimal carbonSink) {
        this.carbonSink = carbonSink;
    }

    public String getProductImgs() {
        return productImgs;
    }

    public void setProductImgs(String productImgs) {
        this.productImgs = productImgs;
    }

    public Integer getIsEnable() {
        return isEnable;
    }

    public void setIsEnable(Integer isEnable) {
        this.isEnable = isEnable;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifiedUser() {
        return modifiedUser;
    }

    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser;
    }

    public Date getModifiedTime() {
        return modifiedTime;
    }

    public void setModifiedTime(Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    public List<ProductExpansion> getProductExpansions() {
        return productExpansions;
    }

    public void setProductExpansions(List<ProductExpansion> productExpansions) {
        this.productExpansions = productExpansions;
    }

    public List<ProductBelong> getProductBelongs() {
        return productBelongs;
    }

    public void setProductBelongs(List<ProductBelong> productBelongs) {
        this.productBelongs = productBelongs;
    }

    public ProductType getProductType() {
        return productType;
    }

    public void setProductType(ProductType productType) {
        this.productType = productType;
    }

    public PovertyArea getPovertyArea() {
        return povertyArea;
    }

    public void setPovertyArea(PovertyArea povertyArea) {
        this.povertyArea = povertyArea;
    }
}