package com.hcloud.microserver.facade.carbon.fallback.impl;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microserver.facade.carbon.fallback.OrderDetailFallbackFactory;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class OrderDetailFallback implements FallbackFactory<OrderDetailFallbackFactory> {
    @Override
    public OrderDetailFallbackFactory create(Throwable cause) {
        return new OrderDetailFallbackFactory() {
            @Override
            public ResultVO searchByOrderGuid(String orderGuid) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }
        };
    }
}
