package com.hcloud.microserver.facade.carbon.forms;

import com.hcloud.microserver.commoncore.base.BaseForm;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author xiezt
 */
@Data
public class GoodsInfoForm extends BaseForm {

    private String guid;

    private String goodsType;

    private String goodsCode;

    private String goodsName;

    private BigDecimal carbonVal;

    private BigDecimal price;

    private String goodsDesc;

    private String goodsImages;

    private Date goodsSaleDate;

    private Integer isSale;

    private Integer state;

    private String createUser;

    private Date createTime;

    private String modifiedUser;

    private Date modifiedTime;

    private String goodsUse;

    /**
     * 非t_goods_info表字段,需要join其他表用于显示的字段
     */
    private String productTypeName;

    private BigDecimal saledCarbonSkin;


    private BigDecimal unsaledCarbonSkin;

    /**
     * 页面用到的参数
     */
    private String condition;

    private List<GoodsDetailForm> goodsDetailForms;

    private String queryStr;

    /**
     * 冗余t_goods_sale_info的字段
     */
    private String saleTargets; // 销售对象

    private Integer saleType; // 销售类型

    /**
     * 购买数量
     */
    private BigDecimal carbonSkin;


}
