package com.hcloud.microserver.facade.carbon.forms;

import com.hcloud.microserver.commoncore.base.BaseForm;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author JYJ
 */
@Data
public class GoodsOrderDetailForm extends BaseForm {

    private String guid;

    private String fkOrderGuid;

    private String fkGoodsGuid;

    private String goodsName;

    private BigDecimal goodsPrice;

    private BigDecimal saleNum;

    private BigDecimal amount;

    /**
     * 商品编号
     */
    private String goodsNo;
    /**
     * 商品类型
     */
    private String goodsType;
    /**
     * 碳汇产生时间
     */
    private String goodsSaleDate;

    private String goodsImages;

    private String goodsDesc;
    /**
     * 商品用途
     */
    private String goodsUse;
}
