package com.hcloud.microserver.facade.carbon.forms;

import com.hcloud.microserver.commoncore.base.BaseForm;
import com.hcloud.microserver.facade.carbon.entity.CollectiveFarmer;
import com.hcloud.microserver.facade.carbon.entity.ProductType;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class ProductInfoForm extends BaseForm {
    private String guid;

    private String fkProductType;

    private String fkCarbonRule;

    private String fkPovertyArea;

    private String productName;

    private String productCode;

    private Date carbonGenerateDate;

    private Integer productValidateNum;

    private Date carbonRefreshTime;

    private BigDecimal carbonSink;

    private String productImgs;

    private Integer isEnable;

    private String remark;

    private Integer state;

    private String createUser;

    private Date createTime;

    private String modifiedUser;

    private Date modifiedTime;

    private String condition;

    private ProductType productType;

    private List<ProductBelongForm> productBelongForms;

    private List<ProductExpansionForm> productExpansionForms;

    // 冗余一个贫困集体的参数
    private CollectiveFarmerForm collectiveFarmerForm;
}
