package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author xiezt
 */
@Data
public class CredentialInfoBO {

    /**
     * 证书编号
     */
    private String credentialNo;
    /**
     * 购买日期
     */
    private String buyDate;
    /**
     * 购买的碳汇量
     */
    private BigDecimal carbonAmount;
    /**
     * 贫困户区域信息
     */
    private String farmerVillage;
    /**
     * 贫困户姓名及集体会名称
     */
    private String farmerName;
    /**
     * 帮扶农户数量
     */
    private Integer farmerNum;

    /**
     * 客户姓名
     */
    private String customerName;
    /**
     * 客户昵称
     */
    private String nickName;

    /**
     * 企业名称
     */
    private String companyName;

    /**
     * 订单金额
     */
    private BigDecimal OrderAmount;
}
