package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author xiezt
 */
@Data
public class OrderDetailInfoBO {

    /**
     * 订单Id
     */
    private String fkOrderGuid;

    /**
     * 商品Id
     */
    private String fkGoodsGuid;

    /**
     * 商品编号
     */
    private String goodsNo;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 商品类型
     */
    private String goodsType;
    /**
     * 碳汇产生时间
     */
    private String goodsSaleDate;
    /**
     * 商品单价
     */
    private BigDecimal goodsPrice;
    /**
     * 销售数量
     */
    private Integer saleNum;
    /**
     * 购买金额
     */
    private BigDecimal amount;
    /**
     * 产品图片
     */
    private String goodsImages;

    /**
     * 商品描述
     */
    private String goodsDesc;

    /**
     * 商品用途
     */
    private String goodsUse;
}
