package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author xiezt
 */
@Data
public class PovertyAreaBO {

    /**
     * guid
     */

    private String guid;

    /**
     * 总的农户数
     */
    private Integer farmerNum;
    /**
     * 总的贫困人口数
     */
    private Integer farmerPersonNum;
    /**
     * 总的购碳资金数
     */
    private BigDecimal saleAmount;
    /**
     * 总的涉及商品数量
     */
    private Integer goodsNum;

    /**
     * 区域地址
     */
    private String areaAddress;
    /**
     * 贫困区域描述
     */
    private String areDesc;
    /**
     * 区域照片
     */
    private String areaImages;

    /**
     * 贫困户总数
     */
    private Integer familyNum;

    /**
     * 贫困区域地址
     */
    private String povertyAreaName;

    /**
     * 贫困村编码
     */
    private String villageId;
}
