package com.hcloud.microserver.bank.dao;

import com.github.pagehelper.Page;
import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.facade.carbon.entity.CustomerCompanyInfo;
import com.hcloud.microserver.facade.carbon.forms.CustomerCompanyInfoForm;

/**
 * @author xiezt
 */
public interface CustomerCompanyInfoMapper extends BaseMapper<CustomerCompanyInfo,String> {

    /**
     * 通过客户id查询爱心用户信息
     * @param customerId
     * @return
     */
    CustomerCompanyInfo getCustomerCompanyInfoByCID(String customerId);

    /**
     *
     * @param customerCompanyInfoForm
     * @return
     */
    Page selectListByPage(CustomerCompanyInfoForm customerCompanyInfoForm);
}