package com.hcloud.microserver.bank.dao;

import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.facade.carbon.entity.GoodsDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xiezt
 */
public interface GoodsDetailMapper extends BaseMapper<GoodsDetail,String> {
    int batchInsert(@Param("goodsDetails") List<GoodsDetail> goodsDetails);

    int deleteByGoodsInfoGuid(@Param("goodsInfoGuid") String goodsInfoGuid);

    List<GoodsDetail> selectByGoodsInfoGuid(@Param("goodsInfoGuid") String goodsInfoGuid);
}