package com.hcloud.microserver.bank.dao;

import com.hcloud.microserver.bank.bo.OrderDetailInfoBO;
import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.facade.carbon.entity.GoodsOrderDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xiezt
 */
public interface GoodsOrderDetailMapper extends BaseMapper<GoodsOrderDetail,String> {
    /**
     * 获取订单明细新
     * @param orderId
     * @return
     */
    List<OrderDetailInfoBO> getOrderDetailListByOrderId(@Param("oid") String orderId);

    /**
     * 批量插入订单明细信息
     * @param list
     * @return
     */
    int batchSaveOrderDetailList(List<GoodsOrderDetail> list);

    List<GoodsOrderDetail> selectByGoodsOrderInfoGuid(@Param("goodsOrderInfoGuid") String goodsOrderInfoGuid);
}