package com.hcloud.microserver.bank.dao;

import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.facade.carbon.entity.ProductBelong;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xiezt
 */
public interface ProductBelongMapper extends BaseMapper<ProductBelong, String> {
    int batchInsert(List<ProductBelong> productBelongList);

    int deleteByProductInfoGuid(@Param("productInfoGuid") String productInfoGuid);

    List<ProductBelong> selectByProductGuid(@Param("productInfoGuid") String productGuid);

    int deleteByProductInfoGuids(List<String> productGuids);
}