package com.hcloud.microserver.bank.dao;

import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.facade.carbon.entity.ProductExpansion;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xiezt
 */
public interface ProductExpansionMapper extends BaseMapper<ProductExpansion, String> {

    int batchInsert(List<ProductExpansion> productExpansions);

    int deleteByProductGuid(@Param("productGuid") String productGuid);

    List<ProductExpansion> selectByProductGuid(@Param("productGuid") String productGuid);
}