package com.hcloud.microserver.bank.dao;

import com.hcloud.microserver.facade.carbon.entity.DayCarbonBO;
import com.hcloud.microserver.facade.carbon.entity.GroupNumBO;
import com.hcloud.microserver.facade.carbon.entity.UserBuyBO;
import com.hcloud.microserver.facade.carbon.forms.DayCarbonFrom;
import com.hcloud.microserver.facade.carbon.forms.GroupNumFrom;
import com.hcloud.microserver.facade.carbon.forms.UserBuyFrom;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface WebIndexMapper {
    DayCarbonBO dayCarbon(@Param("dayCarbonFrom") DayCarbonFrom dayCarbonFrom);

    List<UserBuyBO> userBuy(@Param("userBuyFrom")UserBuyFrom userBuyFrom);
    @MapKey("num")
    Map<String,GroupNumBO> GroupNum(@Param("groupNumFrom") GroupNumFrom groupNumFrom);
}
