package com.hcloud.microserver.bank.service;

import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.bank.bo.CredentialInfoBO;
import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microserver.facade.carbon.forms.GoodsCredentialInfoForm;

/**
 * @author xiezt
 */
public interface CredentialInfoService extends BaseServie<GoodsCredentialInfoForm,String> {

    /**
     * 生成证书记录
     * @param orderId
     * @return
     */
    int saveCredentialInfo(String orderId);

    /**
     * 分页查询用户证书信息
     * @param goodsCredentialInfoForm
     * @return
     */
    PageInfo searchCredentialByPage(GoodsCredentialInfoForm goodsCredentialInfoForm);

    /**
     * 根据订单id查询证书
     * @param orderId
     * @return
     */
    CredentialInfoBO queryByOrderId(String orderId);
}
