package com.hcloud.microserver.bank.service;

import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microserver.facade.carbon.forms.CustomerCompanyInfoForm;

/**
 * @author xiezt
 */
public interface CustomerCompanyInfoService extends BaseServie<CustomerCompanyInfoForm,String> {

    /**
     * 通过爱心用户id查询企业认证信息
     * @param customerId
     * @return
     */
    CustomerCompanyInfoForm getCustomerCompanyInfoByCustomerId(String customerId);

    /**
     * 分页查询
     * @param customerCompanyInfoForm
     * @return
     */
    PageInfo queryListByPage(CustomerCompanyInfoForm customerCompanyInfoForm);


    /**
     * 企业认证
     * @param customerCompanyInfoForm
     * @return
     */
    int validateCompanyInfo(CustomerCompanyInfoForm customerCompanyInfoForm);
}
