package com.hcloud.microserver.bank.service;

import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microserver.facade.carbon.entity.GoodsOrderDetail;
import com.hcloud.microserver.facade.carbon.forms.GoodsOrderDetailForm;

import java.util.List;

/**
 * @author xiezt
 */
public interface OrderDetailInfoService extends BaseServie<GoodsOrderDetailForm,String> {
    /**
     * 通过订单Id查询订单明细
     * @param orderId
     * @return
     */
    List<GoodsOrderDetailForm> getOrderDetailListByOrderId(String orderId);

    /**
     * 批量插入订单明细列表
     * @param batchList
     * @return
     */
    int batchSaveOrderDetailByList(List<GoodsOrderDetailForm> batchList);

    List<GoodsOrderDetail> findByGoodsOrderInfoGuid(String goodsOrderInfoGuid);
}
