package com.hcloud.microserver.bank.service;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.facade.carbon.entity.PovertyArea;
import com.hcloud.microserver.facade.carbon.forms.PovertyAreaForm;

import java.util.List;
import java.util.Map;

/**
 * @author xiezt
 */
public interface PovertyAreaService {

    int save(PovertyAreaForm povertyAreaForm);

    int remove(PovertyAreaForm povertyAreaForm);

    int modify(PovertyAreaForm povertyAreaForm);

    PageInfo<Page<Map>> queryListByPage(PovertyAreaForm povertyAreaForm);

    List<PovertyArea> areaTree();

    PovertyArea findByGuid(String guid);

    /**
     * 获取贫困区域明细(含统计信息,含贫困区域农户信息)
     * @param guid
     * @return
     */
    PovertyAreaForm getFullPovertyAreaInfoById(String guid);
}
