package com.hcloud.microserver.sys.service.dao;

import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.sys.facade.entity.SysUserPermission;

import java.util.List;
import java.util.Map;

/**
 * @author xiezt
 */
public interface SysUserPermissionMapper extends BaseMapper<SysUserPermission, String> {
    /**
     * 获取用户权限信息
     * @param id
     * @return
     */
    List<Map<String, Object>> getUserPermissionById(String id);

    /**
     * 删除用户权限
     * @param uid
     * @return
     */
    int delUserPermissionByUid(String uid);

    /**
     * 批量查询用户权限信息
     * @param list
     * @return
     */
    int insertBatchPermissionByUid(List<SysUserPermission> list);

}