package com.hcloud.microserver.sys.service.service;

import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microserver.sys.facade.entity.SysUserPermission;

import java.util.List;
import java.util.Map;

/**
 *
 * @author apple
 * @date 2018/9/7
 */
public interface SysUserPermissionService extends BaseServie<SysUserPermission, String> {
    /**
     * 获取用户权限信息
     * @param id
     * @return
     */
    List<Map<String, Object>> getUserPermissionById(String id);

    /**
     * 添加用户权限
     *
     * @param uid
     * @param permission
     * @return
     */
    int insertBatchPermissionByUid(String uid, List<String> permission);

    /**
     * 删除用户权限
     * @param uid
     * @return
     */
    int delUserPermissionByUid(String uid);
}
