package com.hcloud.microserver.sys.service.service.impl;

import com.hcloud.microserver.sys.service.dao.SysParametersMapper;
import com.hcloud.microserver.sys.service.service.SysParametersService;
import com.hcloud.microserver.sys.facade.entity.SysParameters;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 *
 * @author apple
 * @date 2018/9/7
 */
@Service("sysParametersService")
public class SysParametersServiceImpl implements SysParametersService {

    @Resource
    private SysParametersMapper sysParametersMapper;

    @Override
    public int delByPrimaryKey(String guid) {
        return sysParametersMapper.deleteByPrimaryKey(guid);
    }

    @Override
    public int save(SysParameters record) {
        return sysParametersMapper.insert(record);
    }

    @Override
    public int saveSelective(SysParameters record) {
        return sysParametersMapper.insertSelective(record);
    }

    @Override
    public SysParameters queryByPrimaryKey(String guid) {
        return sysParametersMapper.selectByPrimaryKey(guid);
    }

    @Override
    public int modifyByPrimaryKeySelective(SysParameters record) {
        return sysParametersMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int modifyByPrimaryKeyWithBLOBs(SysParameters record) {
        return sysParametersMapper.updateByPrimaryKeyWithBLOBs(record);
    }

    @Override
    public int modifyByPrimaryKey(SysParameters record) {
        return sysParametersMapper.updateByPrimaryKey(record);
    }
}
