package com.hcloud.microserver.sys.dao;

import com.hcloud.microserver.sys.facade.entity.SysPermission;
import com.hcloud.microserver.sys.service.SysManagerServiceApplication;
import com.hcloud.microserver.sys.service.dao.SysPermissionMapper;
import lombok.extern.slf4j.Slf4j;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest(classes = {SysManagerServiceApplication.class})
public class SysPermissionMapperTest {

    @Autowired
    private SysPermissionMapper sysPermissionMapper;

    @Test
    public void testList() {
        SysPermission SysPermission = new SysPermission();
        SysPermission.setCcode("SYS");
        List<SysPermission> list = sysPermissionMapper.selectByCondition(SysPermission);
        log.info("查看结果==================>list: {}", list);
        Assert.assertNotNull(list);
    }
}
