package com.hcloud.microserver.bank.config;

import com.hcloud.microserver.commoncore.util.SMSUtil;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author xiezt
 */
@Configuration
public class SmsConfiguration {

    @Value("${accessKeyId}")
    private String accessKeyId;

    @Value("${accessKeySecret}")
    private String accessKeySecret;

    @Value("${signName}")
    private String signName;

    @Bean
    SMSUtil getSMSUtil(){
        return new SMSUtil(accessKeyId, accessKeySecret, signName);
    }
}
