package com.hcloud.microserver.bank.forms;

import lombok.Data;

import java.io.Serializable;

/**
 * @author xiezt
 */
@Data
public class CompanyValidateForm implements Serializable {

    private String guid;

    /**
     * 客户id
     */
    private String fkCustomerId;
    /**
     * 企业名称
     */
    private String companyName;

    /**
     * 组织机构代码
     */
    private String orgCode;

    /**
     * 企业负责人
     */
    private String principals;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 电子邮件
     */
    private String email;
    /**
     * 企业地址
     */
    private String companyAddress;
    /**
     * 企业图片
     */
    private String companyImages;
}
