package com.hcloud.microserver.bank.forms;

import lombok.Data;

import java.io.Serializable;

/**
 * @author JYJ
 */
@Data
public class LoginForm implements Serializable {

    /**
     * 登录字符（手机号或账号）
     */
    private String loginStr;
    /**
     * 登录密码
     */
    private String pwd;
    /**
     * 登录方法（1账号密码登录，2手机验证码登录）
     */
    private Integer loginMethod;
    /**
     * 手机验证码
     */
    private String msgCode;

    /**
     * 登录用户Id
     */
    private String customerId;

    /**
     * 原始密码
     */
    private String originalPwd;
}