package com.hcloud.microserver.bank.web;

import com.hcloud.microserver.bank.common.CarbonBaseController;
import com.hcloud.microserver.commoncore.base.ResponseBase;
import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.facade.carbon.client.OrderClient;
import com.hcloud.microserver.facade.carbon.forms.GoodsOrderInfoForm;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/web/order")
@Api(description = "订单信息管理服务")
public class OrderInfoController extends CarbonBaseController {

    @Autowired
    private OrderClient orderClient;

    @PostMapping("/searchByPage")
    public ResponseBase searchByPage(@RequestBody GoodsOrderInfoForm goodsOrderInfoForm) {
        ResultVO resultVO = this.orderClient.searchOrderInfoByPage(goodsOrderInfoForm);
        return responseSuccess(resultVO);
    }

}
