package com.hcloud.microserver.bank.web;

import com.hcloud.microserver.bank.common.CarbonBaseController;
import com.hcloud.microserver.commoncore.base.ResponseBase;
import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.facade.carbon.client.PayVoucherClient;
import com.hcloud.microserver.facade.carbon.forms.OrderPayVoucherForm;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/web/voucher")
public class PayVoucherController extends CarbonBaseController {

    @Autowired
    private PayVoucherClient payVoucherClient;

    @PostMapping("/searchByPage")
    public ResponseBase searchByPage(@RequestBody OrderPayVoucherForm orderPayVoucherForm) {
        ResultVO resultVO = this.payVoucherClient.searchByPage(orderPayVoucherForm);
        return responseSuccess(resultVO);
    }
}
