package com.hcloud.microserver.commoncore.annotation;

import com.hcloud.microserver.commoncore.enums.AuthEnum;
import com.hcloud.microserver.commoncore.enums.OrgAuthEnum;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 自定义权限验证注解
 *
 * @author yys
 */

@Target(value = ElementType.METHOD)
@Retention(value = RetentionPolicy.RUNTIME)
public @interface AuthOrgValidate {
    /**
     * 权限枚举
     *
     * @return
     * @author yys
     */
    OrgAuthEnum value() default OrgAuthEnum.DEFAULT;
}
