package com.hcloud.microserver.commoncore.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;


import com.hcloud.microserver.commoncore.enums.AuthEnum;

/**
 * 自定义权限验证注解
 *
 * @author yys
 */

@Target(value = ElementType.METHOD)
@Retention(value = RetentionPolicy.RUNTIME)
public @interface AuthValidate {
    /**
     * 权限枚举
     *
     * @return
     * @author yys
     */
    AuthEnum value() default AuthEnum.DEFAULT;
}
