package com.hcloud.microserver.commoncore.base;

import java.sql.Timestamp;

import lombok.Data;

/**
 * Token属性定义
 *
 * @author yys
 */
@Data
public class Token {

    /**
     * Token令牌
     */
    private String accessToken;
    /**
     * 过期时间
     */
    private Timestamp expireTime;

    /**
     * 刷新access_token
     */
    private String refreshToken;

    public Token() {
        super();
    }

    public Token(String accessToken, Timestamp expireTime) {
        super();
        this.accessToken = accessToken;
        this.expireTime = expireTime;
    }


}
