package com.hcloud.microserver.commoncore.enums;

import lombok.Getter;

@Getter
public enum PayWay {
    ALIPAY("支付宝", 1), WEIXIN("微信", 2), YINLIAN("银联", 3);

    PayWay(String value, int index) {
        this.value = value;
        this.index = index;
    }

    private String value;
    private Integer index;

    public static String getValue(int index) {
        for (PayWay payWay : PayWay.values()) {
            if (payWay.index == index) {
                return payWay.value;
            }
        }
        return "其他支付方式";
    }
}
