package com.hcloud.microserver.commoncore.util;

import lombok.extern.slf4j.Slf4j;

/**
 * @author xiezt
 */
@Slf4j
public class CodeUtil {

    /**
     * 时间补位参数
     */
    private static final String DATE_FLAG_STR="0000000000";

    /**
     * 生成随机6位数,用作短信验证码
     */
    public static String getSearchId() {
        //取当前时间的长整形值包含毫秒
        long millis = System.currentTimeMillis();
        String str = millis + "";
        return String.format("%06d", Integer.parseInt(str.substring(str.length() - 6, str.length())));
    }

    /**
     * 生成随机6位数,用作短信验证码
     */
    public static String getSearchId(String profixed) {
        //取当前时间的长整形值包含毫秒
        long millis = System.currentTimeMillis();
        String str = millis + "";
        return String.format("%06d", Integer.parseInt(str.substring(str.length() - 6, str.length())));
    }

    /**
     * 获取业务自增编码
     * @param maxCode
     * @param flag
     * @param incrementLength
     * @return
     */
    public static String getNextCode(String maxCode,String flag,int incrementLength){
        StringBuffer stb  = new StringBuffer(flag);
        if(null!=maxCode && !"".equals(maxCode)){
            if(maxCode.indexOf(flag)!=-1){
                int subInt = flag.length();
                String incrementStr = maxCode.substring(subInt);
                Integer increment = Integer.valueOf(incrementStr);
                increment++;
                int subLen = incrementLength-String .valueOf(increment).length();
                for(int i=0;i<subLen;i++){
                    stb.append("0");
                }
                stb.append(increment);
            }
        }else {
            int subInt = flag.length();
            int subLen = incrementLength-subInt;
            for(int i=0;i<subLen;i++){
                stb.append("0");
            }
            stb.append(1);
        }
        return stb.toString();
    }

    public static Integer getNextCodeNumByDate(String maxCode,String flag,int incrementLength) {
        if (null != maxCode && !"".equals(maxCode)) {
            String newFlag = flag + DATE_FLAG_STR;
            if (maxCode.indexOf(flag) != -1) {
                int subInt = newFlag.length();
                String incrementStr = maxCode.substring(subInt);
                Integer increment = Integer.valueOf(incrementStr);
                return increment;
            }else{
                return 0;
            }
        }else{
            return 0;
        }
    }
}
