package com.hcloud.microserver.commoncore.util;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

/**
 * @ClassName RandomUtils
 * @Description: TODO
 * @Author qb
 * @Date 2020/5/18
 * @Version V1.0
 * @ProjectName gzcarbon2.0
 **/

public class RandomUtils implements Serializable {
    /**
     * 随机指定范围内N个不重复的数
     * 最简单最基本的方法
     * @param min 指定范围最小值
     * @param max 指定范围最大值
     * @param n 随机数个数
     */
    public static int[] randomCommon(int min, int max, int n){
        if (n > (max - min + 1) || max < min) {
            return null;
        }
        int[] result = new int[n];
        int count = 0;
        while(count < n) {
            int num = (int) (Math.random() * (max - min)) + min;
            boolean flag = true;
            for (int j = 0; j < n; j++) {
                if(num == result[j]){
                    flag = false;
                    break;
                }
            }
            if(flag){
                result[count] = num;
                count++;
            }
        }
        return result;
    }
    /**
     * 生成订单信息16位订单
     * @return
     */
    public synchronized static String randomOrder(){
        String code="";
        //生成随机数
        Random rand=new Random();
        //生成4位验证码
        for(int a=0;a<4;a++){
            code+=rand.nextInt(10);
        }
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");
        String orderNo = sdf.format(new Date()).substring(2)+code;
        return orderNo;
    }
}
