package com.hcloud.microserver.commoncore.util.element;

import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;

/**
 * 作用：
 * 作者：Tiddler
 * 时间：2018-08-2018/8/3 17：47
 * 类名：GetDocument
 **/
@Slf4j
public class GetDocument {
    /**
     * 传入一个ULR地址，转为Document给jsoup解析
     * @param url
     * @return
     */
    public static Document get(String url){
        String docStr= CreateRequest.doGET(url);
        Document parse = Jsoup.parse(docStr);
        return parse;
    }

    public static Document post(String url, JSONObject jsonObject){
        String docStr= null;
        try {
            docStr = CreateRequest.doPOST(url,jsonObject.toJSONString());
        } catch (Exception e) {
            log.info("================>{}","地址访问错误！");
            e.printStackTrace();
        }
        Document parse = Jsoup.parse(docStr);
        return parse;
    }
}