package com.hcloud.microserver.commoncore.util.export;

/**
 * 版权所有：2016-贵州精英天成科技股份有限公司
 * 项目名称：plamsa-common
 * <p>
 * 类描述：数据Field
 * 类名称：com.elite.common.utils.export.DataField
 * 创建人： xiezt
 * 创建时间：2016年5月6日 下午3:26:35
 * 修改人：
 * 修改时间：2016年5月6日 下午3:26:35
 * 修改备注：
 *
 * @version 1.0
 */
public class DataField {

    /**
     * 字段名称
     */
    private String name;
    /**
     * 字段名
     */
    private String field;

    /**
     * 列宽
     */
    private int columnWidth = 15;

    public DataField() {
    }

    public DataField(String name, String field) {
        this.name = name;
        this.field = field;
    }

    public DataField(String name, String field, int columnWidth) {
        this.name = name;
        this.field = field;
        this.columnWidth = columnWidth;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public int getColumnWidth() {
        return columnWidth;
    }

    public void setColumnWidth(int columnWidth) {
        this.columnWidth = columnWidth;
    }
}
