package com.hcloud.microserver.bank.bo;

import lombok.Data;

@Data
public class BankQueryBaseParam<T> {
    /** 1.	sessionId为会话编号，每次登录之后会产生一个唯一的编号，用于标识这次会话。用户每次进行交易时都必须上送该Id。如果是登录交易，则请求报文头中的sessionId传-1即可**/
    private String sessionId;
    /** 12.	serviceId为服务编号，用以区分不同的操作，见具体交易格式说明，如登录交易的服务编号为： CL0001。**/
    private String serviceId;
    /** 3.	serialNo为交易序列号，客户端唯一标识，返回时原样返回。**/
    private String serialNo;
    /** 3.	serialNo为交易序列号，客户端唯一标识，返回时原样返回。**/
    private String reqTime;

    private T data;

}
