package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 活期账户明细返回参数
 */
@Data
public class CurrentAccountQueryDetailResp {
    /**交易日期 	8P0	*/
    private String O2TRDT;
    /**交易时间 	6P0	*/
    private String O2TRTM;
    /**币种	3A	*/
    private String O2CYTP;
    /**币种中文描述	10*O	*/
    private String O2CYMS;
    /**借贷标记 	2*O	*/
    private String O2AMCD;
    /**交易金额 	15P2	*/
    private BigDecimal O2NGAM;
    /**账户余额 	15P2	*/
    private BigDecimal O2ACBL;
    /**核心流水号	15A	*/
    private String O2TLSQ;
    /**摘要	15*O	*/
    private String O2SMCD;
    /**备注	200*O	*/
    private String O2DESC;
    /**交易渠道	3*O	*/
    private String O2CHAN;
    /**对方账号	30A	*/
    private String O2REAC;
    /**对方户名	62*O	*/
    private String O2RENM;
    /**对方开户行	100*O	*/
    private String O2REKH;
    /**手续费	15P2	*/
    private BigDecimal O2SHXF;
    /**用途	100*O	*/
    private String O2YOTU;
    /**账号1	32A	*/
    private String O2AC1;
    /**账户户名1	100*O	*/
    private String O2NM1;
    /**业务种类	1A	*/
    private String O2YWZL;
    /**记录信息	200*O	*/
    private String O2JLXX;

}
