package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 活期账户查询返回
 */
@Data
public class CurrentAccountQueryResp extends BankResponseBase {
    /**账户号                     	19A	*/
    private String O1ACNO;
    /**客户号                     	10A	*/
    private String O1CUNO;
    /**客户中文名	62*O	*/
    private String O1CUNM;
    /**保留余额 	15P2	*/
    private BigDecimal O1HOBL;
    /**可用余额 	15P2	*/
    private BigDecimal O1KYYE;
    /**账户余额 	15P2	*/
    private BigDecimal O1ACBL;
    /**开户日期 	8P0	*/
    private BigDecimal O1OPDT;
    /**账务归属机构 	6A	*/
    private String O1ACSB;
    /**账户状态中文描述	10*O	*/
    private String O1STCD;
    /**币种	2A	*/
    private String O1CRTP;
    /**币种中文描述	10*O	*/
    private String O1BZZW;
    /**开户机构	6A	*/
    private String O1OPOG;
    /**开户机构名称	62*O	*/
    private String O1OPPL;
    /**协定存款标志	2*O	*/
    private String O1XDFG;
}
