package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 2.15.	账务支付：代发/代扣指令详情信息查询CL0034
 */
@Data
public class InquiryOfWithholdingInstructionDetailsParam {

    /**交易类型;可选01-代发、02-代扣;2A;*/
    private String BsnType;
    /**账号1;可选，交易类型为“01”时，账号1为付款账号；交易类型为“02”时，账号1为收款账号；;32A;*/
    private String AcctNo;
    /**账号2;可选，交易类型为“01”时，账号2为收款账号；交易类型为“02”时，账号2为付款账号；;32A;*/
    private String AnAcctNo;
    /**操作方式;默认：0；0：账务处理1：数据校验;1A;*/
    private String OperFlg;
    /**开始金额;可选;15P2;*/
    private BigDecimal StartAmt;
    /**结束金额;可选;15P2;*/
    private BigDecimal EndAmt;
    /**起始日期;必输;8P0;*/
    private BigDecimal StartDt;
    /**终止日期;必输;8P0;*/
    private BigDecimal EndDt;
    /**起始条数;必输域;6P0;*/
    private BigDecimal Num;
    /**查询条数;必输域;4P0;*/
    private BigDecimal QryNum;
}
