package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 2.7.	转账：行外转账CL0006（需签名）
 */
@Data
public class OutOfBankTransferParam {

    /**企业流水号;必输域;20A;*/
    private String I1QYLS;
    /**提交人ID;null;30A;*/
    private String I1SMID;
    /**最后授权人ID;null;30A;*/
    private String I1ATID;
    /**货币符号;必输域币种表人民币01;2A;*/
    private String CYNO;
    /**付款金额;必输域;15P2;*/
    private BigDecimal HBJE;
    /**付款人开户行;必输域;12A;*/
    private String FKKH;
    /**付款人账号;必输域;32A;*/
    private String FKZH;
    /**付款人名称;必输域;60*O;*/
    private String FKRM;
    /**收款人开户行;当加急标志为0，1时必输;12A;*/
    private String SKKH;
    /**收款人开户行名;当加急标志为2时必输;100*O;*/
    private String SKHM;
    /**收款人账号;必输域;32A;*/
    private String SKZH;
    /**收款人名称;必输域;60*O;*/
    private String SKRM;
    /**付款用途;必输域;30*O;*/
    private String FYAN;
    /**付款人备注;null;30*O;*/
    private String FKBZ;
    /**加急标志;必输域0：普通（小额），1：加急（大额），2：支付平台;1A;*/
    private String JJBZ;
    /**交易类型;必输域0：集团账号转账1：普通转账;1A;*/
    private String IJYLX;
    /**核心流水号;null;15A;*/
    private String I1TLSQ;
    /**交易日期;null;8A;*/
    private String I1TRDT;
    /**交易序号;null;15A;*/
    private String I1ZFXH;
    /**企业指令内部编号;null;30A;*/
    private String I1NBBH;
    /**手续费支付方;0：付款人支付(默认);1A;*/
    private String I1SXZF;
    /**校验标志;0：无（默认）1：招标账户校验;1A;*/
    private String I1JYBZ;
    /**原明细序号;null;8A;*/
    private String I1MXXH;
    /**账号1;null;32A;*/
    private String I1AC1;
    /**账户户名1;null;100*O;*/
    private String I1NM1;
    /**业务种类;1-代理支付;1A;*/
    private String I1YWZL;
    /**记录信息;null;200*O;*/
    private String I1JLXX;
}
