package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 2.12.	账务支付：代发工资/代报销CL0033（需签名）
 */
@Data
public class PayWagesOrReimbursementParam {

    /**企业流水号;必输域;20A;*/
    private String I1QYLS;
    /**提交人ID;null;30A;*/
    private String I1SMID;
    /**最后授权人ID;null;30A;*/
    private String I1ATID;
    /**业务类型;必输域;3A;*/
    private String O1YWLX;
    /**代发月份;必输域;6P0;*/
    private BigDecimal O1DFYF;
    /**付款账号;必输域;19A;*/
    private String O1FKAC;
    /**总笔数;必输域;3P0;*/
    private BigDecimal O1TRCT;
    /**总金额;必输域;15P2;*/
    private BigDecimal O1TRAM;
    /**批次备注;null;32*O;*/
    private BigDecimal O1PCBZ;
    /**企业指令内部编号;null;30A;*/
    private BigDecimal I1NBBH;
    /**操作方式;默认：0；0：账务处理1：数据校验;1A;*/
    private String O1FLAG;
    /**明细展示;0：隐藏明细；1：显示明细；默认：0;1A;*/
    private String O1SHOW;
    /**交易类型;0：集团账号转账；1：普通转账；默认：0;1A;*/
    private String IJYLX;
    /**明细组合*/
    private List<PayWagesOrReimbursementRecord> list;

}
