package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 2.13.	账务支付：代发/代报销指令列表查询CL0031
 */
@Data
public class ReimbursementInstructionQureyParam {
    /**业务类型;101：代发、102：代报销;3A;*/
    private String I1YWLX;
    /**付款账号;可选;19A;*/
    private String I1FKAC;
    /**指令状态;可选，0：全部、1：等待企业处理、2：银行处理中、3：处理完成;1A;*/
    private String I1STT;
    /**操作方式;默认：0、0：账务处理、1：数据校验;1A;*/
    private String O1FLAG;
    /**起始日期;必输域;8P0;*/
    private BigDecimal I1STDT;
    /**终止日期;必输域;8P0;*/
    private BigDecimal I1EDDT;
    /**起始金额;可选;15P2;*/
    private BigDecimal I1BGAT;
    /**终止金额;可选;15P2;*/
    private BigDecimal I1EDAT;
    /**起始条数;必输域;5P0;*/
    private BigDecimal Num;
    /**查询条数;必输域;3P0;*/
    private BigDecimal QryNum;
}
