package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 转账交易指令明细
 */
@Data
public class TransferTransactionInstructionDetail {
    /**提交日期;null;8P0;*/
    private BigDecimal O2TRDT;
    /**交易类型;交易类型中文描述;10*O;*/
    private BigDecimal O2JYLX;
    /**付款账号;null;19A;*/
    private BigDecimal O2FKAC;
    /**收款账号;null;19A;*/
    private BigDecimal O2SKAC;
    /**交易金额;null;15P2;*/
    private BigDecimal O2TRAM;
    /**手续费;null;15P2;*/
    private BigDecimal O2PCDF;
    /**邮电费;null;15P2;*/
    private BigDecimal O2PSTF;
    /**渠道流水号;null;15A;*/
    private BigDecimal O2TLSQ;
    /**指令状态;状态中文描述;10*O;*/
    private BigDecimal O2STT;
    /**企业流水号;null;20A;*/
    private BigDecimal O2QYLS;

}
