package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 2.10.	指令查询：查询支付单笔指令列表（转账交易指令查询）CL0007
 */
@Data
public class TransferTransactionInstructionQueryParam {
    /**交易类型;必输域0：行内转账1：行外转账;1A;*/
    private String I1JYLX;
    /**付款账号;可选;19A;*/
    private String I1FKAC;
    /**收款账号;可选;19A;*/
    private String I1SKAC;
    /**指令状态;可选;1A;*/
    private String I1STT;
    /**起始日期;必输域;8P0;*/
    private BigDecimal I1STDT;
    /**终止日期;必输域;8P0;*/
    private BigDecimal I1EDDT;
    /**起始金额;可选;15P2;*/
    private BigDecimal I1BGAT;
    /**终止金额;可选;15P2;*/
    private BigDecimal I1EDAT;
    /**起始条数;可选;5P0;*/
    private BigDecimal Num;
    /**查询条数;可选(最大2000);4P0;*/
    private BigDecimal QryNum;
}
