package com.hcloud.microserver.bank.util;

import com.hcloud.microserver.bank.bo.MyX509Manager;
import lombok.extern.slf4j.Slf4j;

import javax.net.ssl.*;
import java.io.*;
import java.net.URL;
import java.security.SecureRandom;
@Slf4j
public class HttpSSLUtil {
    /**
     * 发送https请求共用体
     */
    public static   String  sendPost(String url,String xml) {

        PrintWriter out = null;
        BufferedReader in = null;
        String result = "";
        URL realUrl;
        javax.net.ssl.HttpsURLConnection conn;
        String method = "POST";
        BufferedOutputStream o = null;



        try {
            TrustManager[] tm = {new MyX509Manager()};
            SSLContext aDefault = SSLContext.getInstance("SSL");
            aDefault.init(null,tm,new SecureRandom());
            SSLSocketFactory ssf = aDefault.getSocketFactory();

//        SSLSocketFactory ssf= HttpsClientUtils.getSSFactory();
            realUrl= new URL(null, url, new sun.net.www.protocol.https.Handler());
            conn = (javax.net.ssl.HttpsURLConnection)realUrl.openConnection();
            conn.setSSLSocketFactory(ssf);
            conn.setRequestProperty("Content-Type","text/xml;Charset=UTF-8");
            conn.setRequestMethod(method);
            conn.setDoOutput(true);
            conn.setDoInput(true);
            conn.setUseCaches(false);
            conn.setHostnameVerifier(new HostnameVerifier() {
                @Override
                public boolean verify(String s, SSLSession sslSession) {
                    return true;
                }
            });
            o = new BufferedOutputStream(conn.getOutputStream());
            o.write(xml.getBytes("UTF-8"));
//            out = new PrintWriter(conn.getOutputStream());
//            out.print(xml);
//            out.flush();
            o.flush();

            in = new BufferedReader(
                    new InputStreamReader(conn.getInputStream(),"utf-8"));


            String line;
            while ((line = in.readLine()) != null) {
                log.info(line);
                result += line;
            }
//            json = JSONObject.fromObject(result);
        }catch (Exception e){
            e.printStackTrace();
        }finally {
            try {
                if (out != null) {
                    out.close();
                }
                if (in != null) {
                    in.close();
                }
            } catch (IOException ex) {
                ex.printStackTrace();
            }
        }
        return result;
    }
}
