package com.hcloud.microserver.facade.carbon.fallback.impl;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microserver.facade.carbon.fallback.PayVoucherFallbackFactory;
import com.hcloud.microserver.facade.carbon.forms.OrderPayVoucherForm;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class PayVoucherFallback implements FallbackFactory<PayVoucherFallbackFactory> {
    @Override
    public PayVoucherFallbackFactory create(Throwable cause) {
        return new PayVoucherFallbackFactory() {
            @Override
            public ResultVO searchByPage(OrderPayVoucherForm orderPayVoucherForm) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }
        };
    }
}
