package com.hcloud.microserver.facade.carbon.forms;

import com.hcloud.microserver.commoncore.base.BaseForm;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class CollectiveFarmerForm extends BaseForm {
    private String guid;

    private String fkPovertyAreaId;

    private String collectiveCode;

    private String collectiveName;

    private Integer collectivePersonNum;

    private String orgUnit;

    private String remark;

    private String collectiveImages;

    private String bankName;

    private String bankCardNo;

    private Integer isEnable;

    private Integer state;

    private String createUser;

    private Date createTime;

    private String modifiedUser;

    private Date modifiedTime;

    private BigDecimal recieveMoney;

    private BigDecimal actualMoney;

    private String phone;

    private String condition;

    private List<FarmerInfoForm> farmerInfoForms;

    private String provinceId;

    private String cityId;

    private String townId;

    private String countyId;

    private String villageId;

}
