package com.hcloud.microserver.facade.carbon.forms;

import com.hcloud.microserver.commoncore.base.BaseForm;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author xiezt
 */
@Data
@Slf4j
public class CustomerInfoForm extends BaseForm {

    private String guid;

    private String account;

    private String passwd;

    private Integer customerType;

    private String customerName;

    private String nickName;

    private String pid;

    private String phone;

    private Integer sex;

    private Integer score;

    private String wxId;

    private String unionId;

    private String headImage;

    private Integer isCompany;

    private Integer isValidate;

    private Integer isEnable;

    private String queryStr;

    private BigDecimal carbonAmount;

    private Integer goodsNum;

    private Integer farmerNum;

    private Integer farmerPersonNum;
    /**
     * 购物车商品列表
     */
    private List<GoodsInfoForm> goodsList;

    /**
     * 登录渠道
     */
    private Integer loginType;

    /**
     * 企业认证信息
     */
    private CustomerCompanyInfoForm customerCompanyInfoForm;

    /**
     * 渠道类型
     */
    private Integer channelType;



}
