package com.hcloud.microserver.facade.carbon.client;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.facade.carbon.fallback.impl.OrderDetailFallback;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "carbon-service", path = "/orderDetail", fallbackFactory = OrderDetailFallback.class)
public interface OrderDetailClient {

    @PostMapping("/searchByOrderGuid")
    ResultVO searchByOrderGuid(@RequestParam(name = "orderGuid") String orderGuid);
}
