package com.hcloud.microserver.facade.carbon.client;

import com.alibaba.fastjson.JSONObject;
import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.facade.carbon.fallback.impl.PayApplyFallback;
import com.hcloud.microserver.facade.carbon.forms.OrderPayApplyForm;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "carbon-service", path = "/payApply", fallbackFactory = PayApplyFallback.class)
public interface PayApplyClient {

    @PostMapping("/searchByPage")
    ResultVO searchByPage(@RequestBody OrderPayApplyForm orderPayApplyForm);

    @PostMapping("/audit")
    ResultVO audit(@RequestBody JSONObject jsonObject);

}
