package com.hcloud.microserver.facade.carbon.entity;

import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author JYJ
 */
@ToString
public class GoodsInfo implements Serializable {

    private static final long serialVersionUID = -2833811165241905425L;

    private String guid;

    private String goodsType;

    private String goodsCode;

    private String goodsName;

    private BigDecimal carbonVal;

    private BigDecimal price;

    private String goodsDesc;

    private String goodsImages;

    private Date goodsSaleDate;

    private Integer isSale;

    private Integer state;

    private String createUser;

    private Date createTime;

    private String modifiedUser;

    private Date modifiedTime;

    private String goodsUse;

    // 非t_goods_info表字段,需要join其他表用于显示的字段
    private String productTypeName;

    private BigDecimal saledCarbonSkin;

    private BigDecimal unsaledCarbonSkin;

    private String saleTargets;

    private String saleType;

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid == null ? null : guid.trim();
    }

    public String getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType==null?null:goodsType.trim();
    }

    public String getGoodsCode() {
        return goodsCode;
    }

    public void setGoodsCode(String goodsCode) {
        this.goodsCode = goodsCode == null ? null : goodsCode.trim();
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName == null ? null : goodsName.trim();
    }

    public BigDecimal getCarbonVal() {
        return carbonVal;
    }

    public void setCarbonVal(BigDecimal carbonVal) {
        this.carbonVal = carbonVal;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getGoodsDesc() {
        return goodsDesc;
    }

    public void setGoodsDesc(String goodsDesc) {
        this.goodsDesc = goodsDesc == null ? null : goodsDesc.trim();
    }

    public String getGoodsImages() {
        return goodsImages;
    }

    public void setGoodsImages(String goodsImages) {
        this.goodsImages = goodsImages == null ? null : goodsImages.trim();
    }

    public Integer getIsSale() {
        return isSale;
    }

    public void setIsSale(Integer isSale) {
        this.isSale = isSale;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser == null ? null : createUser.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifiedUser() {
        return modifiedUser;
    }

    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }

    public Date getModifiedTime() {
        return modifiedTime;
    }

    public void setModifiedTime(Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    public String getGoodsUse() {
        return goodsUse;
    }

    public void setGoodsUse(String goodsUse) {
        this.goodsUse = goodsUse;
    }

    public Date getGoodsSaleDate() {
        return goodsSaleDate;
    }

    public void setGoodsSaleDate(Date goodsSaleDate) {
        this.goodsSaleDate = goodsSaleDate;
    }

    public String getProductTypeName() {
        return productTypeName;
    }

    public void setProductTypeName(String productTypeName) {
        this.productTypeName = productTypeName;
    }

    public BigDecimal getSaledCarbonSkin() {
        return saledCarbonSkin;
    }

    public void setSaledCarbonSkin(BigDecimal saledCarbonSkin) {
        this.saledCarbonSkin = saledCarbonSkin;
    }

    public BigDecimal getUnsaledCarbonSkin() {
        return unsaledCarbonSkin;
    }

    public void setUnsaledCarbonSkin(BigDecimal unsaledCarbonSkin) {
        this.unsaledCarbonSkin = unsaledCarbonSkin;
    }

    public String getSaleTargets() {
        return saleTargets;
    }

    public void setSaleTargets(String saleTargets) {
        this.saleTargets = saleTargets;
    }

    public String getSaleType() {
        return saleType;
    }

    public void setSaleType(String saleType) {
        this.saleType = saleType;
    }
}