package com.hcloud.microserver.facade.carbon.forms;

import com.hcloud.microserver.commoncore.base.BaseForm;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.util.List;


/**
 * @author JYJ
 */
@Data
@Slf4j
public class CustomerCompanyInfoForm extends BaseForm {

    private String guid;

    private String fkCustomerId;

    private String companyName;

    private String orgCode;

    private String principals;

    private String phone;

    private String email;

    private String companyAddress;

    private String companyImages;

    private String condition;

    private Integer customerType;

    private String pid;

    /**
     * 手机验证码
     */
    private String phoneMsg;

    private List<String> imageList;

    private Integer companyType;
}
