package com.hcloud.microserver.facade.carbon.forms;

import com.hcloud.microserver.commoncore.base.BaseForm;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class PovertyAreaForm extends BaseForm {

    private String guid;

    private String povertyAreaName;

    private String areaAddress;

    private String areaDesc;

    private String cityId;

    private String countyId;

    private String townId;

    private String villageId;

    private String areaImages;

    private Integer isEnable;

    private Integer state;

    private String createUser;

    private Date createTime;

    private String modifiedUser;

    private Date modifiedTime;

    private String condition;

    private String provinceId;

    private Integer familyNum;

    private List<FarmerInfoForm> farmerInfoList;

    /**
     * 总的农户数
     */
    private Integer farmerNum;
    /**
     * 总的贫困人口数
     */
    private Integer farmerPersonNum;
    /**
     * 总的购碳资金数
     */
    private BigDecimal saleAmount;
    /**
     * 总的涉及商品数量
     */
    private Integer goodsNum;
}
