package com.hcloud.microserver.bank.bo;

import com.hcloud.microserver.facade.carbon.entity.GoodsDetail;
import com.hcloud.microserver.facade.carbon.entity.ProductInfo;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author xiezt
 */
@Data
public class GoodsInfoBO {

    private String guid;

    private String goodsCode;

    private String goodsName;

    private String goodsImages;

    private String goodsType;

    private String price;

    private String goodsUse;

    private String saleUnit;

    private String fkProductGuid;

    private List<GoodsDetail> goodsDetails;

    private List<ProductInfo> productInfos;

    /**
     * 已销售的碳汇量
     */
    private BigDecimal saledCarbonSkin;

    /**
     * 未销售的碳汇量
     */
    private BigDecimal unsaledCarbonSkin;

    /**
     * 总碳汇量
     */
    private BigDecimal carbonVal;
}
