package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xiezt
 */
@Data
public class OrderInfoBO {

    /**
     * 订单数据唯一主键
     */
    private String guid;

    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 客户账号
     */
    private String account;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 支付渠道
     */
    private String payChannel;
    /**
     * 支付金额
     */
    private BigDecimal payAmount;
    /**
     * 购买碳汇量
     */
    private BigDecimal orderCarbonAmount;
    /**
     * 订单状态
     */
    private String orderStatus;
    /**
     * 购买时间
     */
    private Date createTime;
    /**
     * 证书编号
     */
    private String credentialNo;
    /**
     * 支付流水号
     */
    private String payNo;

    /**
     * 订单金额
     */
    private BigDecimal orderAmount;

    /**
     * 电话
     */
    private String phone;

    /**
     *
     */
    private String customerTypeName;

    /**
     * 商品用途
     */
    private String goodsUse;
}
