package com.hcloud.microserver.bank.bo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class ProductInfoBO {
    private String guid;

    private String fkProductType;

    private String fkProductTypeName;

    private String fkCarbonRule;

    private String fkPovertyArea;

    private String fkPovertyAreaName;

    private String productName;

    private String productCode;

    private Date carbonGenerateDate;

    private Integer productValidateNum;

    private Date carbonRefreshTime;

    private BigDecimal carbonSink;

    private String productImgs;

    private Integer isEnable;

    private String remark;

    private Integer state;

    private String createUser;

    private Date createTime;

    private String modifiedUser;

    private Date modifiedTime;

    private ProductTypeBO productType;

    private ProductBelongBO productBelong;

    private List<ProductExpansionBO> productExpansions;
}
