package com.hcloud.microserver.bank.dao;

import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.facade.carbon.entity.CustomerChannel;
import org.apache.ibatis.annotations.Param;

/**
 * @author JYJ
 */
public interface CustomerChannelMapper extends BaseMapper<CustomerChannel,String> {

    /**
     * 通过用户Id及渠道类型查询渠道信息
     * @param customerId
     * @param channelType
     * @return
     */
    CustomerChannel getChannelInfoByCustomerId(@Param("cusId") String customerId, @Param("typeId") Integer channelType);


}