package com.hcloud.microserver.bank.dao;

import com.github.pagehelper.Page;
import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.facade.carbon.entity.ProductInfo;
import com.hcloud.microserver.facade.carbon.forms.ProductInfoForm;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xiezt
 */
public interface ProductInfoMapper extends BaseMapper<ProductInfo, String> {
    Page selectListByPage(ProductInfoForm productInfoForm);

    int softDelete(@Param("guid") String guid);

    List<ProductInfo> selectByGoodsInfoGuid(@Param("goodsInfoGuid") String goodsInfoGuid);

    String getCurrentCode();

    int softRemoveByProductTypeGuid(@Param("productTypeGuid") String productTypeGuid);

    List<String> selectProductGuidsByFarmerGuids(List<String> farmerInfoGuids);
}