package com.hcloud.microserver.bank.dao;

import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.facade.carbon.entity.ProductTypeExpansion;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ProductTypeExpansionMapper extends BaseMapper<ProductTypeExpansion, String> {

    int batchInsert(List<ProductTypeExpansion> productTypeExpansions);

    List<ProductTypeExpansion> selectByProductTypeGuid(@Param("productTypeGuid") String productTypeGuid);

    List<ProductTypeExpansion> selectByProductGuid(@Param("productGuid") String productGuid);

    int deleteByProductTypeGuid(@Param("productTypeGuid") String productTypeGuid);

    int deleteByProductGuid(@Param("productGuid") String productGuid);


}
