package com.hcloud.microserver.bank.dao;

import com.github.pagehelper.Page;
import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.facade.carbon.entity.ProductType;
import com.hcloud.microserver.facade.carbon.forms.ProductTypeForm;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author xiezt
 */
public interface ProductTypeMapper extends BaseMapper<ProductType, String> {
    Page<Map> selectListByPage(ProductTypeForm productTypeForm);

    List<ProductType> selectAll(ProductType productType);

    int checkTypeVal(@Param("typeVal") String typeVal);

    String getCurrentCode();
}