package com.hcloud.microserver.bank.service;

import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microserver.facade.carbon.forms.OrderPayVoucherForm;

import java.util.List;

/**
 * @author xiezt
 */
public interface OrderPayVoucherService extends BaseServie<OrderPayVoucherForm,String> {
    /**
     * 通过订单Id查询离线支付凭证
     * @param orderId
     * @return
     */
    List<OrderPayVoucherForm> getPayVoucherInfoByOrderId(String orderId);

    /**
     * 生成离线支付凭证信息
     * @param orderPayVoucherForm
     * @return
     */
    int savePayVoucherInfoAndOrderInfo(OrderPayVoucherForm orderPayVoucherForm);

    /**
     * 分页查询
     * @param orderPayVoucherForm
     * @return
     */
    PageInfo queryListByPage(OrderPayVoucherForm orderPayVoucherForm);
}
