package com.hcloud.microserver.bank.service;

import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microserver.facade.carbon.forms.GoodsSaleInfoForm;

/**
 * @author xiezt
 */
public interface OrderSaleInfoService extends BaseServie<GoodsSaleInfoForm,String> {

    /**
     * 更新商品销售信息
     * @param goodsSaleInfoForm
     * @return
     */
    int modifiedOrderSaleInfo(GoodsSaleInfoForm goodsSaleInfoForm);

    /**
     * 通过商品Id查询商品销售信息
     * @param goodsId
     * @return
     */
    GoodsSaleInfoForm getGoodsSaleInfoByGoodsId(String goodsId);
}
