package com.hcloud.microserver.bank.service;

import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microserver.facade.carbon.entity.GoodsInfo;
import com.hcloud.microserver.facade.carbon.entity.GoodsSaleInfo;
import com.hcloud.microserver.facade.carbon.entity.ProductInfo;
import com.hcloud.microserver.facade.carbon.forms.GoodsInfoForm;
import com.hcloud.microserver.facade.carbon.forms.ProductInfoForm;

import java.util.List;

public interface ProductInfoService extends BaseServie<ProductInfo, String> {

    int save(ProductInfoForm productInfoForm);

    int remove(ProductInfoForm productInfoForm);

    int modify(ProductInfoForm productInfoForm);

    PageInfo queryListByPage(ProductInfoForm productInfoForm);

    int publish(ProductInfoForm productInfoForm, GoodsInfoForm goodsInfoForm);

    int publishGoods(GoodsInfo goodsInfo, GoodsSaleInfo goodsSaleInfo, List<ProductInfo> productInfos);

    List<ProductInfo> searchByGoodsInfoGuid(String goodsInfoGuid);
}
