package com.hcloud.microserver.bank.service;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microserver.facade.carbon.entity.ProductType;
import com.hcloud.microserver.facade.carbon.forms.ProductTypeForm;

import java.util.List;
import java.util.Map;

public interface ProductTypeService extends BaseServie<ProductType, String> {

    int add(ProductTypeForm productTypeForm);

    int modify(ProductTypeForm productTypeForm);

    int remove(ProductTypeForm productTypeForm);

    PageInfo<Page<Map>> queryListByPage(ProductTypeForm productTypeForm);

    List<ProductType> queryAll(ProductTypeForm productTypeForm);

    int checkTypeVal(String typeVal);
}
