package com.hcloud.microserver.sys.facade.client;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.sys.facade.fallback.impl.BaseDictionaryFallback;
import com.hcloud.microserver.sys.facade.forms.BaseDictionaryForm;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "system-service", path = "/dic", fallbackFactory = BaseDictionaryFallback.class)
public interface BaseDictionaryClient {

    @PostMapping("/findByEntity")
    ResultVO findByEntity(@RequestBody BaseDictionaryForm baseDictionaryForm);
}
