package com.hcloud.microserver.sys.service.dao;


import com.github.pagehelper.Page;
import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.commoncore.base.PageBean;
import com.hcloud.microserver.sys.facade.entity.SysDepartment;
import com.hcloud.microserver.sys.facade.forms.SysDeptForm;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author xiezt
 */
public interface SysDepartmentMapper extends BaseMapper<SysDepartment, String> {

    /**
     * 获取所有部门信息
     *
     * @return
     */
    List<Map<String, String>> queryAllDepartment();

    /**
     * 分页查询部门信息
     * @param pageBean
     * @return
     */
    Page<Map> findDeptInfoListByPage(PageBean<SysDeptForm> pageBean);

    /**
     * 获取最大编码
     *
     * @return
     */
    String getMaxCode();
}