package com.hcloud.microserver.sys.service.dao;

import com.github.pagehelper.Page;
import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.commoncore.base.PageBean;
import com.hcloud.microserver.sys.facade.entity.SysPermission;
import com.hcloud.microserver.sys.facade.forms.SysPermissionForm;
import com.hcloud.microserver.sys.facade.vo.SysTreeNode;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author xiezt
 */
public interface SysPermissionMapper extends BaseMapper<SysPermission, String> {
    /**
     * 查询权限树
     * @param guid
     * @param status
     * @return
     */
    List<SysTreeNode> selectPermTree(@Param("guid") String guid, @Param("status") String status);

    Page<Map> queryListByPage(PageBean<SysPermissionForm> pageBean);

    List<SysPermission> selectByCondition(SysPermission sysPermission);
}