package com.hcloud.microserver.sys.service.dao;

import com.github.pagehelper.Page;
import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.commoncore.base.PageBean;
import com.hcloud.microserver.sys.facade.entity.SysRole;
import com.hcloud.microserver.sys.facade.forms.SysRoleForm;

import java.util.List;
import java.util.Map;

/**
 * @author xiezt
 */
public interface SysRoleMapper extends BaseMapper<SysRole, String> {
    /**
     * 查询角色信息
     * @return
     */
    List<Map<String, String>> queryAllRole();

    /**
     * 分页查询角色信息
     * @param pageBean
     * @return
     */
    Page<Map> queryRoleListByPage(PageBean<SysRoleForm> pageBean);

    /**
     * 获取最大编码
     * @return
     */
    String getMaxCode();
}