package com.hcloud.microserver.sys.service.dao;

import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.sys.facade.entity.SysRolePermission;

import java.util.List;

/**
 * @author JYJ
 */
public interface SysRolePermissionMapper extends BaseMapper<SysRolePermission, String> {
    /**
     * 查询角色权限信息
     * @param roleId
     * @return
     */
    List<String> selectPermByRoleId(String roleId);

    /**
     * 删除角色权限信息
     * @param roleId
     * @return
     */
    int delPermByRoleId(String roleId);

    /**
     * 更新角色权限信息
     * @param list
     * @return
     */
    int updateRolePermissionByPermisList(List<SysRolePermission> list);
}