package com.hcloud.microserver.bank.forms;

import com.hcloud.microserver.facade.carbon.forms.GoodsInfoForm;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author xiezt
 */
@Data
public class GoodsCarForm implements Serializable {

    /**
     * 客户Id
     */
    private String customerId;

    /**
     * 购物车商品列表
     */
    private List<GoodsInfoForm> goodsList;

    /**
     * 商品Id
     */
    private String goodsId;

    /**
     * 碳汇量
     */
    private Integer carbonNum;
}
