package com.hcloud.microserver.bank.web;

import com.hcloud.microserver.bank.common.CarbonBaseController;
import com.hcloud.microserver.commoncore.base.ResponseBase;
import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.sys.facade.client.BaseDictionaryClient;
import com.hcloud.microserver.sys.facade.forms.BaseDictionaryForm;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/web/dic")
public class BaseDictionaryController extends CarbonBaseController {

    @Autowired
    private BaseDictionaryClient baseDictionaryClient;

    /**
     * 条件查询字典
     * @param baseDictionaryForm
     * @return
     */
    @PostMapping("/findByEntity")
    public ResponseBase findByEntity(@RequestBody BaseDictionaryForm baseDictionaryForm) {
        ResultVO resultVO = this.baseDictionaryClient.findByEntity(baseDictionaryForm);
        return responseSuccess(resultVO);
    }
}
