package com.hcloud.microserver.bank.web;

import com.hcloud.microserver.bank.common.CarbonBaseController;
import com.hcloud.microserver.commoncore.base.ResponseBase;
import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.facade.carbon.client.OrderDetailClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/web/orderDetail")
public class OrderDetailController extends CarbonBaseController {

    @Autowired
    private OrderDetailClient orderDetailClient;

    @PostMapping("/searchByOrderGuid")
    public ResponseBase searchByOrderGuid(@RequestParam(name = "orderGuid") String orderGuid) {
        ResultVO resultVO = this.orderDetailClient.searchByOrderGuid(orderGuid);
        return responseSuccess(resultVO);
    }
}
