package com.hcloud.microserver.commoncore.base;

import lombok.Data;

import java.io.Serializable;

/**
 * @author xiezt
 */
@Data
public class BasePageForm implements Serializable {
    protected Integer page = 0;

    protected Integer pageNo = 0;
    /**
     * 分页
     */
    protected Integer pageNum = 1;

    protected Integer pageSize = 10;

    protected Integer limit = 0;

    private void setLimit(Integer limit) {
        if (null != limit && limit != 0) {
            this.pageSize = limit;
        }
    }

    private void setPage(Integer page) {
        if (null != page && page != 0) {
            this.pageNo = page;
        }
    }
}
