package com.hcloud.microserver.commoncore.conf;

import com.hcloud.microserver.commoncore.constant.GlobleConstant;
import com.hcloud.microserver.commoncore.util.TokenUtil;
import org.springframework.context.annotation.Configuration;


import feign.RequestInterceptor;
import feign.RequestTemplate;

/**
 * feign拦截器配置
 *
 * @author yys
 */
//@Configuration
public class FeignConfig implements RequestInterceptor {
    @Override
    public void apply(RequestTemplate requestTemplate) {
        requestTemplate.header(GlobleConstant.ACCESS_TOKEN,
                TokenUtil.createJwtToken(GlobleConstant.FEIGN_TOKEN, GlobleConstant.FEIGN_TOKEN).getAccessToken());
    }

}