package com.hcloud.microserver.commoncore.session;

import lombok.Data;

/**
 * 运营用户缓存对象
 *
 * @author yys
 */
@Data
public class UserInfo {

    private Integer id;
    /**
     * 用户姓名
     */
    private String name;
    /**
     * 登录用户名
     */
    private String username;
    /**
     * 密码
     */
    private String password;
    /**
     * 登录时间
     */
    private Integer loginTime;
    /**
     * 登录IP
     */
    private String loginIp;
    /**
     * 是否锁定  0正常，1表示锁定
     */
    private Integer lock;
    /**
     * 登录次数
     */
    private Integer loginNum;
    /**
     * 部门id
     */
    private Integer departmentId;
    /**
     * 用户类型  0-客服、10-志愿者、20-财务、30-人事、40-招聘专员、50-超级管理员、60-其他
     */
    private Integer type;
    /**
     * 用户Id
     */
    private Integer memberId;

}
