package com.hcloud.microserver.commoncore.util.export.csv;

import com.hcloud.microserver.commoncore.util.export.DataField;
import com.hcloud.microserver.commoncore.util.export.ExportDataSource;
import com.hcloud.microserver.commoncore.util.export.txt.TxtDataExportor;

import java.io.OutputStream;


/**
 * 描述: csv格式数据导出工具
 *
 * @author Hill
 */
public class CsvDataExportor<T> extends TxtDataExportor<T> {
    public CsvDataExportor(DataField[] fields, ExportDataSource<T> dataSource, OutputStream os) {
        super(fields, dataSource, os, ",");
    }
}
